

import java.applet.*;
import java.io.*;
import java.net.*;
import java.awt.*;

public class WBMain extends WBApp
{

   WhiteBoardUserA wb;

   public static void 
   main(String args[])
   {
     String host = "";
     int    port = 8080;
     int    width = 600, height=600;
     int    i=0;

     while( i<args.length )
     {
      if( args[i].equals("-host") && (i+1)<args.length ) host = args[++i];
      else  if( args[i].equals("-port") && (i+1)<args.length ) 
            try 
            { int aport = Integer.parseInt(args[i+1]);
              port = aport; i++;
            } catch( NumberFormatException e) {}
      else  if( args[i].equals("-width") && (i+1)<args.length ) 
            try 
            { int an = Integer.parseInt(args[i+1]);
              width = an; i++;
            } catch( NumberFormatException e) {}
      else  if( args[i].equals("-height") && (i+1)<args.length ) 
            try 
            { int an = Integer.parseInt(args[i+1]);
              height = an; i++;
            } catch( NumberFormatException e) {}


     }// end of while
     WBMain aMain = new WBMain(host,port,width,height);
   }

   public WBMain(String host, int port, int width, int height )
   {
    //wb=new WhiteBoardUserA( getParameter("Host"),Integer.parseInt(getParameter("portnum")),this);
    wb=new WhiteBoardUserA( host,port,this);


 	
    /*
    if (getParameter("width") != null) {
            wb.width = Integer.parseInt(getParameter("width"));
        } else {
           wb.width = 600;
        }

        if (getParameter("height") != null) {
            wb.height = Integer.parseInt(getParameter("height"));
        } else {
            wb.height = 250;
        }

        if (getParameter("server") != null) {
            wb.hostname = getParameter("server");
        }

        if (getParameter("port") != null) {
            wb.hostport = Integer.parseInt(getParameter("port"));
        }

        if (getParameter("type") != null) {
            wb.sessionType = getParameter("type");
        }*/

  wb.width = width;
  wb.height = height;
  wb.hostname = host;
  wb.hostport = port;
  wb.init();

  wb.show();	
}

  public void
  getImages(int position, int count, String name)
  {
    int i;
       
 
  try{
       URL codebase = new URL("file:"+System.getProperty("user.dir")+"/");

        for (i = 0; i < count; i++) {
             System.out.println(codebase+"images/" + name + (i+1));
            //wb.bs[position+i] = getImage(codebase,"images/" + name + (i+1)); 
            wb.bs[position+i] = Toolkit.getDefaultToolkit().getImage(codebase+"images/" + name + (i+1));
            wb.tracker.addImage(wb.bs[position+i], i); 
        }
 }catch(MalformedURLException e){System.out.println(e);}
       
	try { 
            wb.tracker.waitForAll();
        } catch (InterruptedException e) { } 
     
}

public void start(){
	wb.start();
}

public void stop(){
	wb.stop();
}


}
